MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031876Open CASCADE[OCCT] OCCT:Configurationpublic2020-10-24 20:552020-11-05 15:59
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031876: Configuration - Prs3d_Arrow::DrawShaded() crashes in msvc10 win32 Release build
DescriptionPrs3d_Arrow::DrawShaded() crashes in msvc10 Release configuration.
The issues happens at the following line:
  Standard_Integer aMaxVertexs = (aNbTrisTube > 0 ? Prs3d_ToolCylinder::VerticesNb (theNbFacettes, 
1) : 0)
                               + (aNbTrisCone > 0 ? Prs3d_ToolDisk    ::VerticesNb (theNbFacettes, 
1)
                                                  + Prs3d_ToolCylinder::VerticesNb (theNbFacettes, 1) 
: 0);


msvc10 32-bit optimizer somehow produces 76 vertices instead of 78.
Steps To Reproduce
pload VISUALIZATION
vinit View1
vzbufftrihedron
# crash
vviewcube vc
# also crahses
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031873verifiedbugmaster Samples, Qt OCCT Overview sample - Problems of compilation and launch in 32 bit mode on Windows 
child of 0031733verifiedbugmaster Visualization, Prs3d_ToolQuadric - create indexed arrays 

-  Notes
(0096244)
git (administrator)
2020-10-24 20:58

Branch CR31876 has been created by kgv.

SHA-1: 00ac183315324be4e699519f19721351993397c4


Detailed log of new commits:

Author: kgv
Date: Sat Oct 24 21:01:50 2020 +0300

    0031876: Configuration - Prs3d_Arrow::DrawShaded() crashes in msvc10 win32 Release build
    
    Use longer code syntax to workaround compiler bug.
(0096245)
kgv (developer)
2020-10-24 22:37

Patch is ready for review
- OCCT branch: CR31876.
(0096249)
abv (manager)
2020-10-25 07:59

No remarks, please integrate
(0096344)
bugmaster (administrator)
2020-10-28 16:57

Combination -
OCCT branch : OCCT-750
master SHA - 5445eaeed56eb279c0ab00af552e614f1bbef9b6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750 SHA - ebaa925ad092ce36a9743c12e5403ea978cb3417
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17992.300000000254 / 17994.53000000008 [-0.01%]
Products
Total CPU difference: 12161.930000000115 / 12171.670000000115 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 19710.375 / 19728.265625 [-0.09%]
Products
Total CPU difference: 13569.53125 / 13538.390625 [+0.23%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096559)
git (administrator)
2020-11-05 15:59

Branch CR31876 has been deleted by inv.

SHA-1: 00ac183315324be4e699519f19721351993397c4

- Related Changesets
occt: master ec4128df
Timestamp: 2020-10-24 18:01:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031876: Configuration - Prs3d_Arrow::DrawShaded() crashes in msvc10 win32 Release build

Use longer code syntax to workaround compiler bug.
mod - src/Prs3d/Prs3d_Arrow.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-24 20:55 kgv New Issue
2020-10-24 20:55 kgv Assigned To => bugmaster
2020-10-24 20:56 kgv Description Updated View Revisions
2020-10-24 20:57 kgv Summary Configuration - Prs3d_Arrow::DrawShaded() crashes in msvc10 Release build => Configuration - Prs3d_Arrow::DrawShaded() crashes in msvc10 win32 Release build
2020-10-24 20:58 git Note Added: 0096244
2020-10-24 20:58 kgv Relationship added child of 0031733
2020-10-24 21:01 kgv Severity minor => crash
2020-10-24 22:37 kgv Note Added: 0096245
2020-10-24 22:37 kgv Assigned To bugmaster => abv
2020-10-24 22:37 kgv Status new => resolved
2020-10-25 07:59 abv Note Added: 0096249
2020-10-25 07:59 abv Assigned To abv => bugmaster
2020-10-25 07:59 abv Status resolved => reviewed
2020-10-26 16:33 asuraven Relationship added related to 0031873
2020-10-28 16:57 bugmaster Note Added: 0096344
2020-10-28 16:57 bugmaster Status reviewed => tested
2020-10-28 17:01 bugmaster Test case number => Not required
2020-10-31 12:54 bugmaster Changeset attached => occt master ec4128df
2020-10-31 12:54 bugmaster Status tested => verified
2020-10-31 12:54 bugmaster Resolution open => fixed
2020-11-05 15:59 git Note Added: 0096559


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker